Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227574 - dmraid on sil3114 controller gets array sizes wrong
Summary: dmraid on sil3114 controller gets array sizes wrong
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dmraid
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Heinz Mauelshagen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 22:03 UTC by Jarod Wilson
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-26 10:15:35 UTC


Attachments (Terms of Use)

Description Jarod Wilson 2007-02-06 22:03:15 UTC
Description of problem:
I've got a box with a Silicon Image 3114 SATA dmraid controller on it, with 4x
160GB drives attached. In the sil bios, I've created a RAID10 array (298GB in
size). While dmraid does see a RAID10 set, it reports a size much bigger than it
should:

# dmraid -s
*** Superset
name   : sil_ahacacadbhej
size   : 542416197632
stride : 256
type   : raid10
status : ok
subsets: 2
devs   : 4
spares : 0

Anaconda refuses to try to use the dmraid array, instead presenting the
individual drives to install on. On vt4, this error gets logged:

<4>device-mapper: table: device /dev/sda too small for target


Version-Release number of selected component (if applicable):
dmraid 1.0.0.rc14

How reproducible:
Set up RAID10 array in sil bios, boot current rawhide installer

Additional info:
If so desired, I can hook this box up to a serial console, and/or boot it off a
live cd and provide remote access.

Comment 1 Heinz Mauelshagen 2007-10-24 16:57:57 UTC
Hrm, bz has been overlooked it seems.
In case you still have access to that configuration, please prvide files
created by "dmraid -rD" in a bzip2/tarball sil-bz227574-raid10.tar.bz2.

Comment 2 Jarod Wilson 2007-10-24 19:50:24 UTC
Unfortunately, that motherboard is toast, so I no longer have any way to
reproduce the problem. FWIW, it was an Asus K8N-DL motherboard (dual socket 940
opteron).

Comment 3 Heinz Mauelshagen 2007-10-26 10:15:35 UTC
Closing this.
If the bug shows again for you later, please
reopen and attach metadata as described.


Note You need to log in before you can comment on or make changes to this bug.